package com.muyu.etl.data.access.data.access.client.basic.impl;

import com.muyu.etl.data.access.data.access.client.basic.DataSourceConfig;
import com.muyu.source.domain.resp.DataSourceResp;
import com.muyu.source.remote.remote.RemoteDataSourceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author: DongZeLiang
 * @date: 2024/9/9
 * @Description:
 * @Version: 1.0
 */
@Service
public class DataSourceConfigImpl implements DataSourceConfig {
    @Autowired
    private RemoteDataSourceService remoteDataSourceService;

    @Override
    public List<DataSourceResp> getIsUseDataSourceList () {
        return remoteDataSourceService.getIsUseDataSourceList().getData();
    }
}
