package com.muyu.etl.data.access.data.access.client.config;

import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @Author WangXin
 * @Data 2024/9/8
 * @Description 初始化线程池
 * @Version 1.0.0
 */
@Component
public class DataBaseInitPool implements ApplicationRunner {

    @Resource
    private DatabaseConnectionPool databaseConnectionPool;

    @Override
    public void run(ApplicationArguments args) throws Exception {
        databaseConnectionPool.init();
    }
}
