package com.muyu.etl.data.access.data.access.client.mysql;

import com.muyu.etl.data.access.data.access.client.basic.QueryBasic;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Map;

/**
 * @Author: DongZeLiang
 * @date: 2024/8/28
 * @Description: mysql查询
 * @Version: 1.0
 */
@EqualsAndHashCode(callSuper = true)
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class MySqlQuery extends QueryBasic {

    private String sql;

    private Map<String, Object> params;
}
