package com.muyu.etl.data.access.data.access.client.scope;


import org.apache.poi.ss.formula.functions.T;

/**
 * @Author: DongZeLiang
 * @date: 2024/9/9
 * @Description: 作用域标准
 * @Version: 1.0
 */
public class TaskScopeBasic {

    private static final ThreadLocal<TaskScopeConfig> localScope = new ThreadLocal<>();

    public static void set(final TaskScopeConfig handler) {
        localScope.set(handler);
    }

    public static TaskScopeConfig  get() {
        return localScope.get();
    }

    public static void remove(){
        localScope.remove();
    }
}
