package com.muyu.source.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @author Lenovo
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-08-22-15:44
 * @ Version：1.0
 * @ Description：数据库类型
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value ="data_type", autoResultMap = true)
public class DataType {
    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    @Excel(name = "主键")
    private Long id;
    /**
     * 数据库类型
     */
    @Excel(name = "数据库类型")
    private String type;
    /**
     * 前缀
     */
    @Excel(name = "前缀")
    private String prefix;
    /**
     * 驱动管理器
     */
    @Excel(name = "驱动管理器")
    private String driverManager;
}
