package com.muyu.source.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @author Lenovo
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-08-22-16:20
 * @ Version：1.0
 * @ Description：数据字典
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "dict_data", autoResultMap = true)
public class DictData {
    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    @Excel(name = "主键")
    private Long id;
    /**
     * 字典标签
     */
    @Excel(name = "字典标签")
    private String dictLabel;
    /**
     * 字典键值
     */
    @Excel(name = "字典键值")
    private String dictValue;
    /**
     * 字典类型ID
     */
    @Excel(name = "字典类型ID")
    private Long dictTypeId;
}
