package com.muyu.source.domain.rep;

import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @author Lenovo
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-09-01-20:40
 * @ Version：1.0
 * @ Description：资产授权
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "资产授权响应对象")
public class AssetAuthorizationRep {
    /**
     * 数据接入ID
     */
    private Long basicId;
    /**
     * 表ID
     */
    private Long tableId;
}
