package com.muyu.source.domain.req;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 资产授权查询对象
 *
 * @author CHX
 * on 2024/4/28 星期日
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class AssetAccreditQueryReq {
    /**
     * 编号类型 dept/user
     */
    private String idType;
    /**
     * 授权数据类型 source/table
     */
    private String dataType;
}
