package com.muyu.source.domain.req;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Lenovo
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-08-22-17:28
 * @ Version：1.0
 * @ Description：字典类型
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DictTypeReq {
    /**
     * 数据源id
     */
    @Schema(type = "Integer",defaultValue = "1",description = "数据源id")
    private Integer assetId;
    /**
     * 字典类型
     */
    @Schema(type = "String",defaultValue = "字典类型",description = "字典类型")
    private String dictType;
}
