package com.muyu.source.pool;

/**
 *
 *
 * 提供了一个连接池的准则
 * @author Lenovo
 */

public interface BasePool<T> {

    /**
     * 初始化
     */
    public void init();

    /**
     * 获取连接
     * @return
     */
    public T getConn();

    /**
     * 归还连接
     * @param conn
     */
    public void replease(T conn);

    /**
     * 创建连接
     * @return
     */
    public T createConn();

    /**
     * 关闭连接
     */
    public void closeConn();


}
