package com.muyu.source.pool.config;

/**
 * @author Lenovo
 * @Package：com.muyu.etl.property.pool.config
 * @Project：cloud-etl-property
 * @name：BaseConfig
 * @Date：2024/8/22 22:21
 */
public class BaseConfig {

    /**
     * mysql连接前缀
     */
    public static final String MYSQLJDBCPRO="jdbc:mysql://";
    public static final String SHOWTABLES="show TABLES";
    public static final String SELECTCOUNT="SELECT count(1) FROM ";
    public static final String SHOW_FULL_FIELDS_FROM="SHOW FULL FIELDS FROM ";
    public static final String SELECT="select ";
    public static final String SELECTALL="select * from ";
    public static final String FROM=" from ";
    public static final String SELECTFIELD="      SELECT  \" +\n" +
            "                    \"    COLUMN_NAME , \" +\n" +
            "                    \"    COLUMN_COMMENT  ,\" +\n" +
            "                    \"    CASE WHEN COLUMN_KEY = 'PRI' THEN '是' ELSE '否' END ,\" +\n" +
            "                    \"    CASE \\n\" +\n" +
            "                    \"    WHEN DATA_TYPE = 'int' THEN 'Integer' \" +\n" +
            "                    \"    WHEN DATA_TYPE = 'bigint' THEN 'Long' \" +\n" +
            "                    \"    WHEN DATA_TYPE = 'varchar' THEN 'String' \" +\n" +
            "                    \"    WHEN DATA_TYPE = 'decimal' THEN 'BigDecimal' \" +\n" +
            "                    \"    WHEN DATA_TYPE = 'tinyint' AND COLUMN_TYPE = 'tinyint(1)' THEN 'Boolean'\" +\n" +
            "                    \"    ELSE DATA_TYPE   \\n\" +\n" +
            "                    \"    END , \" +\n" +
            "                    \"    DATA_TYPE ,   \\n\" +\n" +
            "                    \"    COLUMN_TYPE ,  \\n\" +\n" +
            "                    \"    CHARACTER_MAXIMUM_LENGTH ,  \\n\" +\n" +
            "                    \"    NUMERIC_SCALE ,  \\n\" +\n" +
            "                    \"    IS_NULLABLE ,  \\n\" +\n" +
            "                    \"    COLUMN_DEFAULT   \\n\" +\n" +
            "                    \"FROM  INFORMATION_SCHEMA.COLUMNS  ";




    public static void driver(String driverName){
        try {
            Class.forName(driverName);
        } catch (ClassNotFoundException e) {
            throw new RuntimeException(e);
        }
    }

}
