package com.muyu;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import groovy.util.logging.Log4j2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * @author Lenovo
 * 支付启动类
 */

@Log4j2
@EnableCustomConfig
@EnableMyFeignClients
@SpringBootApplication
public class MuYuSourceApplication {
    public static void main (String[] args) {
        SpringApplication.run(MuYuSourceApplication.class, args);
    }

}
