package com.muyu.source.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.source.domain.AssetAuthorization;
import com.muyu.source.domain.rep.AssetAuthorizationRep;
import com.muyu.source.domain.req.AssetAuthorizationReq;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-09-01-20:47
 * @ Version：1.0
 * @ Description：资产授权持久层
 * @author Lenovo
 */
@Mapper
public interface AssetAuthorizationMapper extends BaseMapper<AssetAuthorization> {
    List<Long> findUserIdList(AssetAuthorizationReq req);

    List<Long> findDeptIdList(AssetAuthorizationReq req);

    List<AssetAuthorizationRep> findTableIdAndBasicIdByUserId(Long userId);

    List<AssetAuthorizationRep> findTableIdAndBasicIdByDeptId(Long deptId);
}
