package com.muyu.source.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.source.domain.SysUser;
import org.apache.ibatis.annotations.Mapper;

/**
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-09-02-15:30
 * @ Version：1.0
 * @ Description：用户持久层
 * @author Lenovo
 */
@Mapper
public interface UserMapper extends BaseMapper<SysUser> {
    /**
     * 根据ID获取用户信息
     * @param userId 用户参数
     * @return 返回结果
     */
    SysUser findUserById(Long userId);
}
