package com.muyu.source.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.source.core.DataValue;
import com.muyu.source.domain.model.DataValueModel;
import com.muyu.source.domain.model.DataValueModels;

import java.sql.SQLException;
import java.util.List;

/**
 * @author Lenovo
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-08-30-21:53
 * @ Version：1.0
 * @ Description：资产展示{KLTV}业务层
 */
public interface DataValueService extends IService<DataValue> {
    List<List<DataValue>> findTableValue(DataValueModel dataValueModel);

//    List<DataValue> findTableValueByTableName(Long basicId, String tableName);

    Integer addTableValue(DataValueModel dataValueModel);

    Integer getTableValueTotal(DataValueModel dataValueModel);
    /**
     * 给任务模块去调用
     *
     * 根据基础表ID和表名查询数据
     * @param dataValueModel 数据
     * @return DataValue[][]
     */
    DataValue[][] findTableValueByTable(DataValueModel dataValueModel);

    int addTableValueByType(DataValueModels dataValueModel);

    List<List<DataValue>> findTableValueBySql(DataValueModel dataValueModel);

    List<DataValue> findTableValueByTable(Long basicId, String tableName);

    Integer getTableTotal(DataValueModel etlDataSqlReq);

    Integer addTableValueBy(DataValueModel etlDataSqlReq);
}
