package com.muyu.source.service.Impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.source.domain.SysUser;
import com.muyu.source.mapper.UserMapper;
import com.muyu.source.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author Lenovo
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-09-02-15:32
 * @ Version：1.0
 * @ Description：用户业务实现层
 */
@Service
public class UserServiceImpl extends ServiceImpl<UserMapper, SysUser> implements UserService {

    @Autowired
    private UserMapper userMapper;

    /**
     * 根据ID获取用户信息
     *
     * @param userId 用户参数
     * @return 返回结果
     */
    @Override
    public SysUser findUserById(Long userId) {
        return userMapper.findUserById(userId);
    }
}
