package com.muyu.etl.data.access.data.access.client.basic;


import com.muyu.etl.data.access.data.access.client.DataSourcePool;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @Author: DongZeLiang
 * @date: 2024/8/28
 * @Description: 数据接入抽象类
 * @Version: 1.0
 */
public abstract class BaseDataAbsSource implements DataAccessBasic {

    @Autowired
    private DataSourcePool dataSourcePool;

    public void setQuery(QueryBasic baseQuery){
        QueryBasicHandler.set(baseQuery);
    }

    public <T> T getQuery(){
        return QueryBasicHandler.get();
    }
}
