package com.muyu.etl.data.access.data.access.client.basic;


import com.muyu.source.core.DataValue;

/**
 * @Author: DongZeLiang
 * @date: 2024/9/9
 * @Description: 数据接入标准
 * @Version: 1.0
 */
public interface DataAccessBasic extends TaskBasic{

    /**
     * 数据值
     * @return 返回查询的数据值
     */
    public DataValue getDataStructure();

    /**
     * 数据记录
     * @return 数据记录
     */
    public DataValue[] getRow();

    /**
     * 数据集
     * @return 数据集
     */
    public DataValue[][] getRows();
}
