package com.muyu.etl.data.access.data.access.client.basic;

/**
 * @Author: DongZeLiang
 * @date: 2024/8/28
 * @Description: 基础查询
 * @Version: 1.0
 */
public class QueryBasicHandler {

    private static final ThreadLocal<QueryBasic> BASE_QUERY_THREAD_LOCAL = new ThreadLocal<>();

    public static void set(QueryBasic queryBasic){
        BASE_QUERY_THREAD_LOCAL.set(queryBasic);
    }

    public static <T> T  get(){
        return (T) BASE_QUERY_THREAD_LOCAL.get();
    }

    public static void remove(){
        BASE_QUERY_THREAD_LOCAL.remove();
    }

}
