package com.muyu.source.domain.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-08-29-19:57
 * @ Version：1.0
 * @ Description：字段名注释
 * @author Lenovo
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class TableInfoModel {
    /**
     * 表名或数据库名
     */
  private String tableName;
    /**
     * 表备注
     */
  private String tableRemark;
    /**
     * 数据量
     */
    private Long dataNum;
}
