package com.muyu.source.domain.req;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Lenovo
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-09-01-20:39
 * @ Version：1.0
 * @ Description：资产授权
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "资产授权请求")
public class AssetAuthorizationReq {
    @Schema(name = "id", description = "主键",defaultValue = "1")
    private Long id;
    @Schema(name = "tableId", description = "表ID",defaultValue = "1")
    private Long tableId;
    @Schema(name = "basicId", description = "数据接入ID",defaultValue = "1")
    private Long basicId;
    @Schema(name = "deptId", description = "部门ID",defaultValue = "1")
    private Long deptId;
    @Schema(name = "userId", description = "用户ID",defaultValue = "1")
    private Long userId;
}
