package com.muyu.source.remote.remote;

import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.source.domain.resp.DataSourceResp;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/9/2 14:35
 * @注释
 */
@FeignClient(contextId = "remoteDataAnalysisService",
        value = ServiceNameConstants.SOURCE_SERVICE,
        path = "source")
// TODO 熔断
public interface RemoteDataSourceService {

    @GetMapping("/isUseDatasource")
    public Result<List<DataSourceResp>> getIsUseDataSourceList();


}
