package com.muyu.source.remote.remote.factory;

import com.muyu.common.core.domain.Result;
import com.muyu.source.remote.remote.RemoteDataSourceService;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;


/**
 * @Author xie ya ru
 * @Data 2024/9/9
 * @Description
 * @Version 1.0.0
 */
@Component
public class RemoteDataSourceBackFactory implements FallbackFactory<RemoteDataSourceService> {

    @Override
    public RemoteDataSourceService create(Throwable cause) {
        return () -> Result.error("查询数据失败:"+cause.getMessage());
    }
}
