package com.muyu.source.base;

/**
 * @author Lenovo
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-08-30-21:35
 * @ Version：1.0
 */
public class BaseQueryHandler {

    private static final ThreadLocal<BaseQuery> BASE_QUERY_THREAD_LOCAL = new ThreadLocal<>();

    public static void set(BaseQuery baseQuery){
        BASE_QUERY_THREAD_LOCAL.set(baseQuery);
    }

    public static <T> T  get(){
        return (T) BASE_QUERY_THREAD_LOCAL.get();
    }
}
