package com.muyu.source.mysql;

import com.muyu.source.base.BaseQuery;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @author Lenovo
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-08-30-21:46
 * @ Version：1.0
 */

@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class MysqlQuery extends BaseQuery {
    /**
     * 任务传过来的sql语句
     */
    private String sql;

    private String params;
    /**
     * 行数
     */
    private Long one;
    /**
     * 列数
     */

    private Integer two;
}
